#!/bin/sh

cd $(dirname "$0")

function removeFiles {
	CONFIG=/boot/home/config
	cat installed_files | while read file ; do
		file="$CONFIG/$file"
		if [ -f "$file" -o -h "$file" ] ; then
			rm "$file"
		fi	
	done
}

bin/ftpfs_quit_server
result=$?

if [ $result -ge 0 ] ; then
	removeFiles
	result=$(alert --info $'FTPFS has been uninstalled.' "Bye")
else
	alert --stop $'FTPFS Server is still in use!\nPlease unmount all FTP file systems first.' "OK"
fi
